Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.om.security
Class TurbineGroup

    java.lang.Object
      org.apache.turbine.om.security.SecurityObject<Group>
          org.apache.turbine.om.security.TurbineGroup

All Implemented Interfaces:
  Serializable, Comparable<Group>, Group, SecurityEntity

    public class TurbineGroup

extends SecurityObject<Group>
implements Group

This class represents a Group of Users in the system that are associated with specific entity or resource. The users belonging to the Group may have various Roles. The Permissions to perform actions upon the resource depend on the Roles in the Group that they are assigned.

Certain Roles that the Users may have in the system may are not related to any specific resource nor entity. They are assigned within a special group named 'global' that can be referenced in the code as `Group.GLOBAL_GROUP_NAME`.

Version:
  $Id: TurbineGroup.java 1078552 2011-03-06 19:58:46Z tv $
Author:
  Rafal Krzewski
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.turbine.om.security.Group
`GLOBAL_GROUP_NAME`

Constructor Summary
`TurbineGroup()` Constructs a new Group.
`TurbineGroup(String name)` Constructs a new Group with the specified name.

Method Summary
`void` | `grant(User user, Role role)` Grants a Role in this Group to an User.
`void` | `grant(User user, RoleSet roleSet)` Grants Roles in this Group to an User.
`void` | `remove()` Removes a group from the system.
`void` | `rename(String name)` Renames the role.
`void` | `revoke(User user, Role role)` Revokes a Role in this Group from an User.
`void` | `revoke(User user, RoleSet roleSet)` Revokes Roles in this group from an User.
`void` | `save()` Makes changes made to the Group attributes permanent.
`void` | `save(Connection conn)` not implemented
`void` | `save(String dbname)` not implemented

Methods inherited from class org.apache.turbine.om.security.SecurityObject
`compareTo, getAttribute, getAttributes, getId, getIdAsObj, getName, setAttribute, setAttributes, setId, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.turbine.om.security.SecurityEntity
`getId, getIdAsObj, getName, setId, setName`

Constructor Detail

### TurbineGroup

    public TurbineGroup()

  Constructs a new Group.

### TurbineGroup

    public TurbineGroup(String name)

  Constructs a new Group with the specified name.

  Parameters:
    `name` - The name of the new object.

Method Detail

### save

    public void save()
              throws TurbineSecurityException

  Makes changes made to the Group attributes permanent.

  Specified by:
    `save` in interface `Group`
  Throws:
    `TurbineSecurityException` - if there is a problem while saving data.

### save

    public void save(Connection conn)
              throws Exception

  not implemented

  Parameters:
    `conn` -
  Throws:
    `Exception`

### save

    public void save(String dbname)
              throws Exception

  not implemented

  Parameters:
    `dbname` -
  Throws:
    `Exception`

### remove

    public void remove()
                throws TurbineSecurityException

  Removes a group from the system.

  Specified by:
    `remove` in interface `Group`
  Throws:
    `TurbineSecurityException` - if the Group could not be removed.

### rename

    public void rename(String name)
                throws TurbineSecurityException

  Renames the role.

  Specified by:
    `rename` in interface `Group`
  Parameters:
    `name` - The new Group name.
  Throws:
    `TurbineSecurityException` - if the Group could not be renamed.

### grant

    public void grant(User user,
                      Role role)
               throws TurbineSecurityException

  Grants a Role in this Group to an User.

  Specified by:
    `grant` in interface `Group`
  Parameters:
    `user` - An User.
    `role` - A Role.
  Throws:
    `TurbineSecurityException` - if there is a problem while assigning the Role.

### grant

    public void grant(User user,
                      RoleSet roleSet)
               throws TurbineSecurityException

  Grants Roles in this Group to an User.

  Specified by:
    `grant` in interface `Group`
  Parameters:
    `user` - An User.
    `roleSet` - A RoleSet.
  Throws:
    `TurbineSecurityException` - if there is a problem while assigning the Roles.

### revoke

    public void revoke(User user,
                       Role role)
                throws TurbineSecurityException

  Revokes a Role in this Group from an User.

  Specified by:
    `revoke` in interface `Group`
  Parameters:
    `user` - An User.
    `role` - A Role.
  Throws:
    `TurbineSecurityException` - if there is a problem while unassigning the Role.

### revoke

    public void revoke(User user,
                       RoleSet roleSet)
                throws TurbineSecurityException

  Revokes Roles in this group from an User.

  Specified by:
    `revoke` in interface `Group`
  Parameters:
    `user` - An User.
    `roleSet` - a RoleSet.
  Throws:
    `TurbineSecurityException` - if there is a problem while unassigning the Roles.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.